Name: arpwatch
Version: 2.1a15
Release: alt1.M30.2
Serial: 2

%define arpwatch_user pcap
%define arpwatch_group pcap

Summary: Network monitoring tools for tracking IP addresses on the network.
Summary(ru_RU.KOI8-R):     IP   .
Group: Monitoring
License: BSD
Url: ftp://ftp.ee.lbl.gov

Source: %url/%name-%version.tar.gz
Source1: %name.init
Source2: %name.sysconfig

Patch1: %name-fhs.patch
Patch2: %name-2.1a10-man.patch
Patch3: %name-drop.patch
Patch4: %name-drop-man.patch
Patch5: %name-addr.patch
Patch6: %name-dir-man.patch

PreReq(post,preun): chkconfig
Requires: MTA

# Automatically added by buildreq on Tue Oct 31 2006
BuildRequires: libpcap-devel

%description
The %name package contains %name and arpsnmp.  Arpwatch and arpsnmp
are both network monitoring tools.  Both utilities monitor Ethernet or
FDDI network traffic and build databases of Ethernet/IP address pairs,
and can report certain changes via email.

Install the %name package if you need networking monitoring devices
which will automatically keep traffic of the IP addresses on your
network.

%prep
%setup -q
%patch1 -p0 -b .fhs
%patch2 -p1 -b .arpsnmpman
%patch3 -p0 -b .droproot
%patch4 -p0 -b .dropman
%patch5 -p1 -b .mailuser
%patch6 -p1 -b .dirman

%build
export ac_cv_path_V_SENDMAIL=%_sbindir/sendmail
%configure
%define _vararpwatch %_localstatedir/%name

%make_build ARPDIR=%_vararpwatch

%install
mkdir -p %buildroot{%_vararpwatch,%_sbindir,%_man8dir,%_initdir}
mkdir -p %buildroot%_sysconfdir/sysconfig
%make_install DESTDIR=%buildroot install install-man

install -p -m755 arp2ethers massagevendor %buildroot%_vararpwatch
install -p -m644 *.awk *.dat %buildroot%_vararpwatch

install -p -m755 %SOURCE1 %buildroot%_initdir/%name
install -p -m644 %SOURCE2 %buildroot%_sysconfdir/sysconfig/%name

#%__subst -p 's,#!/bin/csh.*.*,#!/bin/sh,' %buildroot%_vararpwatch/arp2ethers 

%pre
%_sbindir/groupadd -r -f %arpwatch_group 2>/dev/null ||:
%_sbindir/useradd -g %arpwatch_group -c 'Packet Capture' \
	-d %_vararpwatch -s '/dev/null' -r %arpwatch_user 2>/dev/null ||:

%post
%post_service %name

%preun
%preun_service %name

%files
%_sbindir/*
%_mandir/man?/*
%config(noreplace) %_initdir/%name
%config(noreplace) %_sysconfdir/sysconfig/%name
%attr(755,%arpwatch_user,%arpwatch_group) %dir %_vararpwatch
%attr(644,%arpwatch_user,%arpwatch_group) %config(noreplace) %_vararpwatch/arp.dat
%_vararpwatch/ethercodes.dat
%_vararpwatch/*.awk
%_vararpwatch/arp2ethers
%_vararpwatch/massagevendor
%doc README CHANGES

%changelog
* Wed Nov 15 2006 Serhii Hlodin <hlodin@altlinux.ru> 2:2.1a15-alt1.M30.2
- Backport to Compact 3.0

* Wed Nov 15 2006 Serhii Hlodin <hlodin@altlinux.ru> 2:2.1a15-alt2
- Fixes bug #10265 (permissions on %_vararpwatch)

* Tue Oct 31 2006 Serhii Hlodin <hlodin@altlinux.ru> 2:2.1a15-alt1
- New version 2.1a15
- Add and porting patches from RedHat:
- add droproot patch, some --usage and man page fixes
- separate droproot patch from a more generic man/usage fix one
- added arpwatch options to specify sender and recipient
- added man page descriptions for the new parameters
- added arpsnmp options to specify sender and recipient
  and corrected arpwatch and arpsnmp man pages

* Mon Jan 16 2006 Michael Shigorin <mike@altlinux.org> 2:2.1a13-alt1.1
- NMU: add sysconfig support
- spec cleanup

* Mon Mar 01 2004 Stanislav Ievlev <inger@altlinux.org> 2:2.1a13-alt1
- 2.1a13

* Thu Nov 13 2003 Stanislav Ievlev <inger@altlinux.org> 2:2.1a11-alt6
- new init script

* Wed Nov 27 2002 Stanislav Ievlev <inger@altlinux.ru> 2:2.1a11-alt5
- fix deps on csh

* Mon Nov 18 2002 Stanislav Ievlev <inger@altlinux.ru> 2:2.1a11-alt4
- rebuild
- use {post/preun}_server macros

* Wed May 15 2002 Dmitry V. Levin <ldv@altlinux.org> 2:2.1a11-alt3
- Updated dependencies (smtpdaemon --> MTA).

* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 2:2.1a11-alt2
- Rebuilt with libpcap-0.7.1.
- Updated dependencies.

* Fri Jan 04 2002 Rider <rider@altlinux.ru> 2.1a11-alt1
- 2.1a11

* Tue Jan 09 2001 Dmitry V. Levin <ldv@fandra.org> 2.1a10-ipl2mdk
- Rebuilt with libpcap-0.6.1.

* Tue Oct 17 2000 Dmitry V. Levin <ldv@fandra.org> 2.1a10-ipl1mdk
- 2.1a10
- Split from tcpdump.
